Subject: Re: bug#13583: 24.3.50; Error when activating auto-revert-mode

From: Michael Heerdegen <[email-masked]>
Date: Tue, 29 Jan 2013 19:13:55 +0100

Eli Zaretskii <[email-masked]> writes:

> > IMHO, no user should need to do something like that.
>
> No one does.  Using custom-set-variables is much easier.  I just
> wanted to give Dani all the alternatives I knew about.  Nothing wrong
> with that, is there?

Ok, no - sorry.

> > I often saw people being reluctant about using `custom-set-variables' in
> > their init file.
> > 
> > I browsed the doc of `custom-set-variables', as well as the
> > "Customization" chapter in the manual.  I found no places were we say
> > that some of these functions are suitable for being called from other
> > files than the custom file, without danger.
>
> I call it from my .emacs, and never had any problems in years.

Good to know - still wonder if we should say explicitly somewhere that
this is possible/supported.

Regards,

Michael.